### Eclipse Workspace Patch 1.0
#P Spark
Index: src/plugins/sip/src/java/net/java/sipmack/sip/InterlocutorUI.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/sip/InterlocutorUI.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/sip/InterlocutorUI.java	(working copy)
@@ -1,61 +1,12 @@
-/* ====================================================================
- * The Apache Software License, Version 1.1
- *
- * Copyright (c) 2000 The Apache Software Foundation.  All rights
- * reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- *
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in
- *    the documentation and/or other materials provided with the
- *    distribution.
- *
- * 3. The end-user documentation included with the redistribution,
- *    if any, must include the following acknowledgment:
- *       "This product includes software developed by the
- *        Apache Software Foundation (http://www.apache.org/)."
- *    Alternately, this acknowledgment may appear in the software itself,
- *    if and wherever such third-party acknowledgments normally appear.
- *
- * 4. The names "Apache" and "Apache Software Foundation" must
- *    not be used to endorse or promote products derived from this
- *    software without prior written permission. For written
- *    permission, please contact apache@apache.org.
- *
- * 5. Products derived from this software may not be called "Apache",
- *    nor may "Apache" appear in their name, without prior written
- *    permission of the Apache Software Foundation.
- *
- * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
- * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
- * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
- * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
- * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
- * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- * ====================================================================
+/**
+ * $Revision: $
+ * $Date: $
  *
- * This software consists of voluntary contributions made by many
- * individuals on behalf of the Apache Software Foundation.  For more
- * information on the Apache Software Foundation, please see
- * <http://www.apache.org/>.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
- * Portions of this software are based upon public domain software
- * originally written at the National Center for Supercomputing Applications,
- * University of Illinois, Urbana-Champaign.
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
  */
-
 package net.java.sipmack.sip;
 
 import net.java.sipmack.softphone.gui.GuiCallback;
Index: src/plugins/sip/src/java/net/java/sipmack/common/AlertManager.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/common/AlertManager.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/common/AlertManager.java	(working copy)
@@ -2,7 +2,7 @@
  * $Revision: $
  * $Date: $
  *
- * Copyright (C) 2007 Jive Software. All rights reserved.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
  * This software is published under the terms of the GNU Lesser Public License (LGPL),
  * a copy of which is included in this distribution.
@@ -25,7 +25,7 @@
  */
 
 public class AlertManager {
-    private Hashtable alertClips = new Hashtable();
+    private Hashtable<String, AudioClip> alertClips = new Hashtable<String, AudioClip>();
 
     public AlertManager() {
     }
@@ -45,9 +45,9 @@
     }
 
     public void stopAllAlerts() {
-        Enumeration alertClipsEnum = alertClips.keys();
+        Enumeration<String> alertClipsEnum = alertClips.keys();
         while (alertClipsEnum.hasMoreElements()) {
-            String alert = (String) alertClipsEnum.nextElement();
+            String alert = alertClipsEnum.nextElement();
             stopAlert(alert);
         }
     }
Index: src/plugins/sip/src/java/net/java/sipmack/common/Scheduler.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/common/Scheduler.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/common/Scheduler.java	(working copy)
@@ -1,61 +1,14 @@
-/* ====================================================================
- * The Apache Software License, Version 1.1
- *
- * Copyright (c) 2000 The Apache Software Foundation.  All rights
- * reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- *
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in
- *    the documentation and/or other materials provided with the
- *    distribution.
- *
- * 3. The end-user documentation included with the redistribution,
- *    if any, must include the following acknowledgment:
- *       "This product includes software developed by the
- *        Apache Software Foundation (http://www.apache.org/)."
- *    Alternately, this acknowledgment may appear in the software itself,
- *    if and wherever such third-party acknowledgments normally appear.
- *
- * 4. The names "Apache" and "Apache Software Foundation" must
- *    not be used to endorse or promote products derived from this
- *    software without prior written permission. For written
- *    permission, please contact apache@apache.org.
- *
- * 5. Products derived from this software may not be called "Apache",
- *    nor may "Apache" appear in their name, without prior written
- *    permission of the Apache Software Foundation.
- *
- * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
- * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
- * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
- * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
- * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
- * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- * ====================================================================
+/**
+ * $Revision: $
+ * $Date: $
  *
- * This software consists of voluntary contributions made by many
- * individuals on behalf of the Apache Software Foundation.  For more
- * information on the Apache Software Foundation, please see
- * <http://www.apache.org/>.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
- * Portions of this software are based upon public domain software
- * originally written at the National Center for Supercomputing Applications,
- * University of Illinois, Urbana-Champaign.
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
  */
 
+
 package net.java.sipmack.common;
 
 import net.java.sipmack.common.scheduler.Timer;
@@ -63,24 +16,6 @@
 
 import java.util.Date;
 
-/**
- * <p/>
- * Title: SIP Communicator
- * </p>
- * <p/>
- * Description: A SIP UA
- * </p>
- * <p/>
- * Copyright: Copyright (c) 2004
- * </p>
- * <p/>
- * Company: Network Research Team, Louis Pasteur University
- * </p>
- *
- * @author Emil Ivov
- * @version 1.0
- */
-
 public class Scheduler {
 
     private static Scheduler singleton = null;
Index: src/java/org/jivesoftware/sparkimpl/preference/media/MediaPreference.java
===================================================================
--- src/java/org/jivesoftware/sparkimpl/preference/media/MediaPreference.java	(revision 0)
+++ src/java/org/jivesoftware/sparkimpl/preference/media/MediaPreference.java	(revision 0)
@@ -0,0 +1,82 @@
+package org.jivesoftware.sparkimpl.preference.media;
+
+import javax.swing.Icon;
+import javax.swing.JComponent;
+
+import org.jivesoftware.resource.Res;
+import org.jivesoftware.resource.SparkRes;
+import org.jivesoftware.spark.preference.Preference;
+import org.jivesoftware.sparkimpl.settings.local.LocalPreferences;
+import org.jivesoftware.sparkimpl.settings.local.SettingsManager;
+
+public class MediaPreference implements Preference {
+
+	private MediaPreferencePanel panel = new MediaPreferencePanel();
+	public static final String NAMESPACE = "http://www.jivesoftware.org/spark/media";
+	
+	@Override
+	public Object getData() {
+		return null;
+	}
+
+	@Override
+	public String getErrorMessage() {
+		return null;
+	}
+
+	@Override
+	public JComponent getGUI() {
+		return panel;
+	}
+
+	@Override
+	public Icon getIcon() {
+		return SparkRes.getImageIcon(SparkRes.HEADSET_IMAGE);
+	}
+
+	@Override
+	public String getListName() {
+		return Res.getString("title.general.media");
+	}
+
+	@Override
+	public String getNamespace() {
+		return NAMESPACE;
+	}
+
+	@Override
+	public String getTitle() {
+		return Res.getString("title.general.media");
+	}
+
+	@Override
+	public String getTooltip() {
+		return Res.getString("title.general.media");
+	}
+
+	@Override
+	public boolean isDataValid() {
+		return true;
+	}
+
+	@Override
+	public void load() {
+		 LocalPreferences localPreferences = SettingsManager.getLocalPreferences();
+		 panel.setVideoDevice(localPreferences.getVideoDevice());
+		 panel.setAudioDevice(localPreferences.getAudioDevice());
+	}
+
+	@Override
+	public void commit() {
+		LocalPreferences pref = SettingsManager.getLocalPreferences();
+		pref.setAudioDevice(panel.getAudioDevice());
+		pref.setVideoDevice(panel.getVideoDevice());
+		SettingsManager.saveSettings();
+	}
+	
+	@Override
+	public void shutdown() {
+		commit();
+	}
+
+}
Index: src/plugins/sip/src/java/net/java/sipmack/softphone/gui/GuiManager.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/softphone/gui/GuiManager.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/softphone/gui/GuiManager.java	(working copy)
@@ -10,16 +10,16 @@
 
 package net.java.sipmack.softphone.gui;
 
+import java.util.ArrayList;
+import java.util.List;
+
 import net.java.sipmack.common.AlertManager;
 import net.java.sipmack.common.Log;
-import net.java.sipmack.events.UserActionListener;
 import net.java.sipmack.sip.Call;
 import net.java.sipmack.sip.Interlocutor;
 import net.java.sipmack.sip.InterlocutorUI;
 import net.java.sipmack.softphone.listeners.InterlocutorListener;
-
-import java.util.ArrayList;
-import java.util.List;
+import net.java.sipmack.events.UserActionListener;
 
 /**
  * The <code>GuiManager</code> class that Manage all the actions and Events of
@@ -288,7 +288,6 @@
             Log.debug("hangup", "No interlocutors");
             return false;
         }
-        int selectedRow = 0;
         Interlocutor inter;
         for (int i = 0; i < interlocutors.size(); i++) {
             inter = (Interlocutor) interlocutors.get(i);
Index: src/plugins/sip/src/java/net/java/sipmack/media/event/MediaErrorEvent.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/media/event/MediaErrorEvent.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/media/event/MediaErrorEvent.java	(working copy)
@@ -1,86 +1,20 @@
-/* ====================================================================
- * The Apache Software License, Version 1.1
- *
- * Copyright (c) 2000 The Apache Software Foundation.  All rights
- * reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- *
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in
- *    the documentation and/or other materials provided with the
- *    distribution.
- *
- * 3. The end-user documentation included with the redistribution,
- *    if any, must include the following acknowledgment:
- *       "This product includes software developed by the
- *        Apache Software Foundation (http://www.apache.org/)."
- *    Alternately, this acknowledgment may appear in the software itself,
- *    if and wherever such third-party acknowledgments normally appear.
- *
- * 4. The names "Apache" and "Apache Software Foundation" must
- *    not be used to endorse or promote products derived from this
- *    software without prior written permission. For written
- *    permission, please contact apache@apache.org.
- *
- * 5. Products derived from this software may not be called "Apache",
- *    nor may "Apache" appear in their name, without prior written
- *    permission of the Apache Software Foundation.
- *
- * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
- * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
- * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
- * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
- * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
- * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- * ====================================================================
+/**
+ * $Revision: $
+ * $Date: $
  *
- * This software consists of voluntary contributions made by many
- * individuals on behalf of the Apache Software Foundation.  For more
- * information on the Apache Software Foundation, please see
- * <http://www.apache.org/>.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
- * Portions of this software are based upon public domain software
- * originally written at the National Center for Supercomputing Applications,
- * University of Illinois, Urbana-Champaign.
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
  */
-
 package net.java.sipmack.media.event;
 
 import java.util.EventObject;
 
-/**
- * <p/>
- * Title: SIP COMMUNICATOR-1.1
- * </p>
- * <p/>
- * Description: JAIN-SIP-1.1 Audio/Video Phone Application
- * </p>
- * <p/>
- * Copyright: Copyright (c) 2003
- * </p>
- * <p/>
- * Company: Organisation: LSIIT Laboratory (http://lsiit.u-strasbg.fr) \nNetwork
- * Research Team (http://www-r2.u-strasbg.fr))\nLouis Pasteur University -
- * Strasbourg - France
- * </p>
- *
- * @author Emil Ivov
- * @version 1.1
- */
 public class MediaErrorEvent extends EventObject {
-    public MediaErrorEvent(Throwable source) {
+	private static final long serialVersionUID = -223468673281672684L;
+
+	public MediaErrorEvent(Throwable source) {
         super(source);
     }
 
Index: src/plugins/sip/src/java/net/java/sipmack/sip/Interlocutor.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/sip/Interlocutor.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/sip/Interlocutor.java	(working copy)
@@ -2,12 +2,11 @@
  * $Revision: $
  * $Date: $
  *
- * Copyright (C) 2007 Jive Software. All rights reserved.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
  * This software is published under the terms of the GNU Lesser Public License (LGPL),
  * a copy of which is included in this distribution.
  */
-
 package net.java.sipmack.sip;
 
 import net.java.sipmack.common.Log;
Index: src/plugins/sip/src/java/net/java/sipmack/media/MediaException.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/media/MediaException.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/media/MediaException.java	(working copy)
@@ -1,88 +1,18 @@
-/* ====================================================================
- * The Apache Software License, Version 1.1
- *
- * Copyright (c) 2000 The Apache Software Foundation.  All rights
- * reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- *
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in
- *    the documentation and/or other materials provided with the
- *    distribution.
- *
- * 3. The end-user documentation included with the redistribution,
- *    if any, must include the following acknowledgment:
- *       "This product includes software developed by the
- *        Apache Software Foundation (http://www.apache.org/)."
- *    Alternately, this acknowledgment may appear in the software itself,
- *    if and wherever such third-party acknowledgments normally appear.
- *
- * 4. The names "Apache" and "Apache Software Foundation" must
- *    not be used to endorse or promote products derived from this
- *    software without prior written permission. For written
- *    permission, please contact apache@apache.org.
- *
- * 5. Products derived from this software may not be called "Apache",
- *    nor may "Apache" appear in their name, without prior written
- *    permission of the Apache Software Foundation.
- *
- * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
- * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
- * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
- * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
- * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
- * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- * ====================================================================
+/**
+ * $Revision: $
+ * $Date: $
  *
- * This software consists of voluntary contributions made by many
- * individuals on behalf of the Apache Software Foundation.  For more
- * information on the Apache Software Foundation, please see
- * <http://www.apache.org/>.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
- * Portions of this software are based upon public domain software
- * originally written at the National Center for Supercomputing Applications,
- * University of Illinois, Urbana-Champaign.
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
  */
-
 package net.java.sipmack.media;
 
-/**
- * <p/>
- * Title: SIP COMMUNICATOR-1.1
- * </p>
- * <p/>
- * Description: JAIN-SIP-1.1 Audio/Video Phone Application
- * </p>
- * <p/>
- * Copyright: Copyright (c) 2003
- * </p>
- * <p/>
- * Company: Organisation: LSIIT Laboratory (http://lsiit.u-strasbg.fr)
- * <p/>
- * </p>
- * Network Research Team (http://www-r2.u-strasbg.fr))
- * <p/>
- * </p>
- * Louis Pasteur University - Strasbourg - France
- * </p>
- *
- * @author Emil Ivov
- * @version 1.1
- */
 public class MediaException extends Exception {
-    public MediaException(String message) {
+	private static final long serialVersionUID = 8803493468468690847L;
+
+	public MediaException(String message) {
         super(message);
     }
 
Index: src/plugins/sip/src/java/net/java/sipmack/common/DialSoundManager.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/common/DialSoundManager.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/common/DialSoundManager.java	(working copy)
@@ -2,7 +2,7 @@
  * $Revision: $
  * $Date: $
  *
- * Copyright (C) 2007 Jive Software. All rights reserved.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
  * This software is published under the terms of the GNU Lesser Public License (LGPL),
  * a copy of which is included in this distribution.
